=== debian/changelog ===
ioping (0.5-1) unstable; urgency=low

  * Initial release (Closes: #634008)

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Sat, 16 Jul 2011 08:31:07 +0300
