## ioping 0.6

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 SPEC=ioping.spec
 
 PACKAGE=ioping
-VERSION=$(shell awk '/^Version:/{print $$2}' $(SPEC))
+VERSION=$(shell test -d .git && git describe --tags --dirty=+ || awk '/^Version:/{print $$2}' $(SPEC))
 DISTDIR=$(PACKAGE)-$(VERSION)
 DISTFILES=$(SRCS) $(MANS) $(SPEC) Makefile
 
@@ -27,7 +27,7 @@
 	install -m 644 $(MANS) $(DESTDIR)$(MAN1DIR)
 
 %.o: %.c
-	$(CC) $(CFLAGS) -c -o $@ $^
+	$(CC) $(CFLAGS) -DVERSION=\"${VERSION}\" -c -o $@ $^
 
 ioping: $(OBJS)
 	$(CC) -o $@ $^ $(CFLAGS) $(LDFLAGS)
