=== debian/changelog ===
ioping (0.6-1) unstable; urgency=low

  * New upstream release 

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Tue, 27 Dec 2011 13:31:24 +0200
