## ioping 0.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS+=-std=gnu99 -g -Wall -Wextra -pedantic -D_GNU_SOURCE -D_FILE_OFFSET_BITS=64
+CFLAGS+=-std=gnu99 -g -Wall -Wextra -pedantic
 LIBS=-lm
 PREFIX=/usr/local
 BINDIR=$(PREFIX)/bin
