=== debian/changelog ===
ioping (0.8-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards to 3.9.5 (no changes needed).
  * Remove patch fixing a hyphen-vs-dash in the manpage (fixed upstream).

 -- Apollon Oikonomopoulos <apoikos@gmail.com>  Fri, 03 Jan 2014 10:42:15 +0200
