## ioping 0.9

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS+=-std=gnu99 -g -Wall -Wextra -pedantic
+CFLAGS+=-std=gnu99 -g -Wall -Wextra -pedantic -O2 -funroll-loops -ftree-vectorize
 LIBS=-lm
 PREFIX=/usr/local
 BINDIR=$(PREFIX)/bin
@@ -9,7 +9,7 @@
 BINS=ioping
 MANS=ioping.1
 MANS_F=$(MANS:.1=.txt) $(MANS:.1=.pdf)
-DOCS=README changelog
+DOCS=README LICENSE changelog
 SPEC=ioping.spec
 
 PACKAGE=ioping
@@ -35,6 +35,9 @@
 
 clean:
 	$(RM) -f $(OBJS) $(BINS) $(MANS_F)
+
+strip: $(BINS)
+	$(STRIP) $^
 
 install: $(BINS) $(MANS)
 	mkdir -p $(DESTDIR)$(BINDIR)
