=== debian/changelog ===
ioping (0.9-2) unstable; urgency=medium

  [ Christos Trochalakis ]
  * Adjust packaging now that ioping has moved to github.

  [ Apollon Oikonomopoulos ]
  * Bump standards to 3.9.7; no changes needed
  * d/control: use HTTPS everywhere

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 11 Feb 2016 17:26:22 +0200

ioping (0.9-1) unstable; urgency=medium

  * New upstream version.
  * Bump standards to 3.9.6; no changes needed.
  * d/control: add Vcs-* fields.
  * Refresh patches for 0.9.

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 06 Oct 2014 11:30:45 +0300
