=== debian/control ===
--- 
+++ 
@@ -1,10 +1,12 @@
 Source: ioping
 Section: admin
 Priority: extra
-Maintainer: Apollon Oikonomopoulos <apoikos@gmail.com>
+Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://code.google.com/p/ioping
+Standards-Version: 3.9.7
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/apoikos/ioping.git
+Vcs-Git: https://anonscm.debian.org/git/users/apoikos/ioping.git
+Homepage: https://github.com/koct9i/ioping
 
 Package: ioping
 Architecture: any
