=== debian/watch ===
version=3

https://github.com/koct9i/ioping/releases \
 .*/ioping-(\d[\d\.]+)\.tar\.gz
