=== debian/changelog ===
ioping (1.0-2) unstable; urgency=medium

  * Fix FTBFS (test failure)
  * Add a simple DEP-8 test

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 17 Dec 2016 07:47:18 +0200

ioping (1.0-1) unstable; urgency=medium

  * New upstream release
  * d/watch: fix tarball name
  * Bump Standards to 3.9.8; no changes needed
  * Set Priority to optional
  * Enable all hardening flags
  * Drop do_not_generate_version.patch
  * Refresh remaining patches

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sat, 17 Dec 2016 00:27:46 +0200
