=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ioping
 Section: admin
-Priority: extra
+Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/apoikos/ioping.git
 Vcs-Git: https://anonscm.debian.org/git/users/apoikos/ioping.git
 Homepage: https://github.com/koct9i/ioping
