=== debian/changelog ===
ioping (1.1-1) unstable; urgency=medium

  * New upstream version 1.1
  * Bump DH compat to 11; no changes needed
  * Refresh patches
  * Bump Standards-Version to 4.2.1; no changes needed
  * d/copyright: extend upstream and debian copyright to 2018
  * d/control: switch Vcs-* URLs to salsa

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Sun, 23 Sep 2018 00:11:14 +0300
