=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: admin
 Priority: optional
 Maintainer: Apollon Oikonomopoulos <apoikos@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=users/apoikos/ioping.git
-Vcs-Git: https://anonscm.debian.org/git/users/apoikos/ioping.git
+Build-Depends: debhelper (>= 11~)
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/ioping
+Vcs-Git: https://salsa.debian.org/debian/ioping.git
 Homepage: https://github.com/koct9i/ioping
 
 Package: ioping
