=== debian/changelog ===
ioping (1.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces
  * d/control: Set Vcs-* to salsa.debian.org

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.2
  * Bump Standards-Version to 4.5.0; no changes needed
  * Bump dh compat to 13; no changes needed
  * d/copyright: bump debian/ years

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Thu, 24 Sep 2020 01:35:49 +0300
