=== debian/watch ===
version=3

https://github.com/koct9i/ioping/releases \
 .*/v(\d[\d\.]+)\.tar\.gz
