=== debian/changelog ===
ioping (1.3-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Apollon Oikonomopoulos ]
  * New upstream version 1.3
  * d/watch: fix URL and bump version to 4
  * d/watch: prepend ioping- to the downloaded file name
  * d/copyright: bump years
  * Refresh patches

 -- Apollon Oikonomopoulos <apoikos@debian.org>  Mon, 09 Jan 2023 22:07:45 +0200
