=== debian/tests/control ===
Tests: simple
Depends: ioping
