=== debian/watch ===
version=4

opts=filenamemangle=s/.*\/v(.*)/ioping-$1/ \
 https://github.com/koct9i/ioping/tags \
 .*/v(\d[\d\.]+)\.tar\.gz
